Deployments.ai Docs
Budgets

List spend budgets

GET /v1/budgets · SDK listBudgets · CLI deployments budget list

GET
/v1/budgets

Requires budgets:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListBudgetsResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/budgets" \  -H "x-deployments-organization: string"
{  "items": [    {      "amountUsdMicros": 1,      "archivedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "environmentId": "string",      "id": "string",      "name": "string",      "organizationId": "string",      "period": "daily",      "projectId": "string",      "scope": "organization",      "status": "active",      "thresholds": [        1      ],      "updatedAt": "2019-08-24T14:15:22Z",      "version": 1,      "workspaceId": "string"    }  ],  "nextCursor": "string"}